## org.hibernate.ejb.criteria.expression
Class SimpleCaseExpression.WhenClause

    java.lang.Object
      org.hibernate.ejb.criteria.expression.SimpleCaseExpression.WhenClause

Enclosing class:
  SimpleCaseExpression<C,R>

    public class SimpleCaseExpression.WhenClause

extends Object

Constructor Summary
`SimpleCaseExpression.WhenClause(C condition, javax.persistence.criteria.Expression<? extends R> result)`

Method Summary
`C` `getCondition()`
`javax.persistence.criteria.Expression<? extends R>` `getResult()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleCaseExpression.WhenClause

    public SimpleCaseExpression.WhenClause(C condition,
                                           javax.persistence.criteria.Expression<? extends R> result)

Method Detail

### getCondition

    public C getCondition()

### getResult

    public javax.persistence.criteria.Expression<? extends R> getResult()

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.